summaryrefslogtreecommitdiffstats
path: root/ship
diff options
context:
space:
mode:
authorroot <root@cband>2014-01-07 09:12:29 -0600
committerroot <root@cband>2014-01-07 09:12:36 -0600
commite0350203624556364dd240c1470c0faa0bc95160 (patch)
tree56f82b09c484635b4676817c47612be1e2fd72f4 /ship
parentd80d739902ac45f6afdd3804e1ffe89d711d45e9 (diff)
test:consider docker cleanup after use
Diffstat (limited to 'ship')
-rwxr-xr-xship/t/docker/docker_remote_punani.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/ship/t/docker/docker_remote_punani.sh b/ship/t/docker/docker_remote_punani.sh
index 76e34068..1eab1a42 100755
--- a/ship/t/docker/docker_remote_punani.sh
+++ b/ship/t/docker/docker_remote_punani.sh
@@ -1,3 +1,5 @@
#!/bin/sh
cd $(dirname $(readlink -f $0))
-docker run -v $PWD/punani/:/test ubuntu /bin/sh /test/remote_punani >/dev/null
+docker_id=$(docker run -d -v $PWD/punani/:/test ubuntu /bin/sh /test/remote_punani)
+trap "docker rm $docker_id" INT TERM EXIT QUIT
+docker wait $docker_id